<template>
  <workspaces-view :workspace="workspace" />
</template>

<script lang="ts">
import { computed } from "vue";
import Workspace from "@/models/Workspace";
import WorkspacesView from "@/components/Workspaces/View.vue";

export default {
  components: {
    WorkspacesView
  },
  props: {
    workspaceId: {
      type: String,
      required: true
    }
  },
  setup(props) {
    const workspace = computed(() => Workspace.findSync(props.workspaceId));

    return {
      workspace
    };
  }
};
</script>
